Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.cmp.jdbc
Class QueryParameter

    java.lang.Object
      org.jboss.ejb.plugins.cmp.jdbc.QueryParameter

public final class QueryParameter
extends Object

Constructor Summary
`QueryParameter(int argNum, boolean isPrimaryKeyParameter, JDBCFieldBridge field, JDBCTypeComplexProperty property, int jdbcType)`
`QueryParameter(JDBCEntityPersistenceStore manager, Method method, String parameterString)`

Method Summary
`static List` | `createParameters(int argNum, JDBCAbstractEntityBridge entity)`
`static List` | `createParameters(int argNum, JDBCFieldBridge field)`
`static List` | `createPrimaryKeyParameters(int argNum, JDBCAbstractEntityBridge entity)`
`void` | `set(org.jboss.logging.Logger log, PreparedStatement ps, int index, Object[] args)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QueryParameter

    public QueryParameter(JDBCEntityPersistenceStore manager,
                          Method method,
                          String parameterString)

### QueryParameter

    public QueryParameter(int argNum,
                          boolean isPrimaryKeyParameter,
                          JDBCFieldBridge field,
                          JDBCTypeComplexProperty property,
                          int jdbcType)

Method Detail

### createParameters

    public static List createParameters(int argNum,
                                        JDBCFieldBridge field)

### createParameters

    public static List createParameters(int argNum,
                                        JDBCAbstractEntityBridge entity)

### createPrimaryKeyParameters

    public static List createPrimaryKeyParameters(int argNum,
                                                  JDBCAbstractEntityBridge entity)

### set

    public void set(org.jboss.logging.Logger log,
                    PreparedStatement ps,
                    int index,
                    Object[] args)
             throws Exception

  Throws:
    `Exception`

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.